Skip to main content
GET
/
api
/
constraint
Lists all constraints for the current tenant.
curl --request GET \
  --url https://{install}/api/constraint \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "container": [
      "<string>"
    ],
    "sourceFieldId": "<string>",
    "sourceFieldDataId": "<string>",
    "targetFieldId": "<string>",
    "targetFieldDataId": [
      "<string>"
    ],
    "targetMode": 123,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of constraints.

entity
null | string
name
string
container
string[]
sourceFieldId
string
sourceFieldDataId
string
targetFieldId
string
targetFieldDataId
string[]
targetMode
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean